Bug 1097301 - dracut does not find block device modules for arm
Summary: dracut does not find block device modules for arm
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: dracut
Version: rawhide
Hardware: arm
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: dracut-maint-list
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ARMTracker F21AlphaBlocker
TreeView+ depends on / blocked
 
Reported: 2014-05-13 14:05 UTC by Paul Whalen
Modified: 2014-06-30 17:45 UTC (History)
5 users (show)

Fixed In Version: dracut-037-12.git20140402.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-30 17:45:17 UTC


Attachments (Terms of Use)
patch to add mmc/sdhci drivers to generic initfs to enable boot from SD cards (1.22 KB, patch)
2014-05-21 16:07 UTC, Peter Robinson
no flags Details | Diff
patch to add mmc/sdhci drivers to generic initfs to enable boot from SD cards (1.22 KB, patch)
2014-05-21 22:51 UTC, Peter Robinson
no flags Details | Diff
ahci/mmc/sdhci patch that was sent upstream (2.30 KB, patch)
2014-05-23 11:11 UTC, Peter Robinson
no flags Details | Diff

Description Paul Whalen 2014-05-13 14:05:36 UTC
Description of problem:
ARM block device modules need to be explicitly added to the initramfs but should be found automatically. Currently we need to either add the 'sunxi-mmc' module to support All-Winner devices or fix block device module detection for ARM.

Comment 1 Peter Robinson 2014-05-21 16:07:14 UTC
Created attachment 898064 [details]
patch to add mmc/sdhci drivers to generic initfs to enable boot from SD cards

This patch uses a more generic means of detecting which drivers are needed for MMC/SD booting on devices that have SD cards that aren't attached by USB like most ARM devices and tablets

Comment 2 Peter Robinson 2014-05-21 22:51:24 UTC
Created attachment 898155 [details]
patch to add mmc/sdhci drivers to generic initfs to enable boot from SD cards

fixes a typo on the last patch

Comment 3 Peter Robinson 2014-05-23 11:11:35 UTC
Created attachment 898652 [details]
ahci/mmc/sdhci patch that was sent upstream

This was the final patch the I've sent upstream too (vger seems to be slow so I don't have an link yet)

Currently the block driver detection for generic initrd doesn't include
the SD/MMC drivers so we fail to boot generic images on any device using
those platforms as boot devices when using a generic initrd. Add logic
to detect those modules. This primarily fixes embedded ARM devices but
also likely intel tablets/dev boards and enterprise hypervisors that
have the ability to boot from SD.

Also the ahci_init_controller misses a number of drivers that use the
libahci_platform module for the init so this fixes some missing achi
moduless too.

Finally it cleans up the ARM storage module hacks that the above now
deals with in a more generic manner.

Comment 4 Peter Robinson 2014-06-30 17:45:17 UTC
This was fixed in dracut 38 upstream, now in rawhide


Note You need to log in before you can comment on or make changes to this bug.